org.apache.jmeter.protocol.http.proxy

## Class FormCharSetFinder

- java.lang.Object
- - org.apache.jmeter.protocol.http.proxy.FormCharSetFinder

-     public class FormCharSetFinder
      extends java.lang.Object

  A parser for html, to find the form tags, and their accept-charset value

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FormCharSetFinder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFormActionsAndCharSet(java.lang.String html, java.util.Map<java.lang.String,java.lang.String> formEncodings, java.lang.String pageEncoding)` Add form action urls and their corresponding encodings for all forms on the page

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FormCharSetFinder

          public FormCharSetFinder()

  - ### Method Detail

    - #### addFormActionsAndCharSet

          public void addFormActionsAndCharSet(java.lang.String html,
                                               java.util.Map<java.lang.String,java.lang.String> formEncodings,
                                               java.lang.String pageEncoding)
                                        throws HTMLParseException

      Add form action urls and their corresponding encodings for all forms on the page
      Parameters:
        `html` - the html to parse for form encodings
        `formEncodings` - the Map where form encodings should be added
        `pageEncoding` - the encoding used for the whole page
      Throws:
        `HTMLParseException` - when parsing the `html` fails

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.